#include "log/spdlog.hpp"
#include "log/spdlog_qt.hpp"

namespace ML = myx::log;


int main( int argc, char** argv )
{
	ML::defaultLogger.enableStdoutSink();

	spdlog::register_logger( ML::defaultLogger.logger() );
	spdlog::set_default_logger( ML::defaultLogger.logger() );

	qInstallMessageHandler( ML::spdlog_qt_message_handler );

	qInfo() << "aaaa";
	qDebug() << "bbbb";

	spdlog::set_pattern( "[%H:%M:%S %z] %v" );

	qInfo( "aaaa 111" );
	qDebug( "bbbb 111" );
	return( 0 );
}
